## Index

### Classes

- ButtonModeSelector
- CLUEMode
- ModeWrapper

### Variables

- _instance
- off
- on

### Functions

- createButton
- defaultMode
- fromString
- getMode
- mode
- normalize
- setMode

### Object literals

- modes

## Variables

### _instance

_instance: ModeWrapper = new ModeWrapper()

- Defined in mode.ts:144

### off

off: any = ModeWrapper.prototype.off.bind(_instance)

- Defined in mode.ts:147

### on

on: any = ModeWrapper.prototype.on.bind(_instance)

- Defined in mode.ts:146

## Functions

### createButton

- createButton(parent: Element, options?: any): ButtonModeSelector

- - Defined in mode.ts:373

  #### Parameters

  - ##### parent: Element

  - ##### Default value options: any = {}

  #### Returns ButtonModeSelector

### defaultMode

- defaultMode(): CLUEMode

- - Defined in mode.ts:109

  returns the default mode either stored in the hash or by default exploration

  #### Returns CLUEMode

### fromString

- fromString(s: string): CLUEMode

- - Defined in mode.ts:94

  #### Parameters

  - ##### s: string

  #### Returns CLUEMode

### getMode

- getMode(): CLUEMode

- - Defined in mode.ts:153

  returns the current mode

  #### Returns CLUEMode

### mode

- mode(exploration: number, authoring: number, presentation: number): CLUEMode

- - Defined in mode.ts:80

  mode factory by the given components

  #### Parameters

  - ##### exploration: number

  - ##### authoring: number

  - ##### presentation: number

  #### Returns CLUEMode

### normalize

- normalize(arr: [number, number, number]): [number, number, number]

- - Defined in mode.ts:14

  normalizes the given coordinates to sum up to one

  #### Parameters

  - ##### arr: [number, number, number]

  #### Returns [number, number, number]

### setMode

- setMode(value: CLUEMode): void

- - Defined in mode.ts:160

  set the mode

  #### Parameters

  - ##### value: CLUEMode

  #### Returns void

## Object literals

### modes

modes: object

- Defined in mode.ts:88

shortcuts for the atomic modes

type

  {{Exploration: CLUEMode, Authoring: CLUEMode, Presentation: CLUEMode}}

### Authoring

Authoring: CLUEMode = mode(0, 1, 0)

- Defined in mode.ts:90

### Exploration

Exploration: CLUEMode = mode(1, 0, 0)

- Defined in mode.ts:89

### Presentation

Presentation: CLUEMode = mode(0, 0, 1)

- Defined in mode.ts:91

Generated using TypeDoc